PostgreSQL 7.2.1 Documentation
Prev |  | Next

# set_defopt

## Name

set_defopt -- set options specification [DV]

## Synopsis

    set_defopt(options)

### Parameters

`options`

  New default connection options (string/None).

### Return Type

string or None

  Previous default opt specification.

### Exceptions

TypeError

  Bad argument type, or too many arguments.

## Description

`set_defopt()` sets the default connection options value for new connections. If None is supplied as parameter, environment variables will be used in future connections. It returns the previous setting for default options.

Prev | Home | Next
get_defopt | Up | get_deftty